#if !defined(AFX_NOTEDLG_H__00C8ADF0_9ABF_4DCA_88E8_D9FF9FC27F68__INCLUDED_)
#define AFX_NOTEDLG_H__00C8ADF0_9ABF_4DCA_88E8_D9FF9FC27F68__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NoteDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNoteDlg dialog
#include "apl_gui.h"
#include "apl_api.h"
#include "resource.h"

class CNoteDlg : public CaplResizableDialog
{
// Construction
public:
	static CString GetUserName(CaplAPI *api);
	CaplInstance *m_inst;
	CaplInstance *m_parent;
	CaplAPI *m_api;
	CaplInstance *m_ciNote;
	CNoteDlg(CWnd* pParent = NULL);   // standard constructor

	bool m_b_read_only;

	// Dialog Data
	//{{AFX_DATA(CNoteDlg)
	enum { IDD = IDC_NOTE_DLG };
	CaplButton	m_ok_btn;
	CaplButton	m_picture_insert_btn;
	CaplButton	m_object_insert_btn;
	CaplButton	m_sub;
	CaplButton	m_super;
	CComboBox	m_sizefont;
	CComboBox	m_font;
	CaplButton	m_cancel_btn;
	CaplRichEditCtrl	m_richedit;
	CaplButton	m_underline;
	CaplButton	m_strikeout;
	CaplButton	m_right;
	CaplButton	m_paste;
	CaplButton	m_left;
	CaplButton	m_italic;
	CaplButton	m_select_font;
	CaplButton	m_cut;
	CaplButton	m_copy;
	CaplButton	m_center;
	CaplButton	m_bold;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNoteDlg)
	public:
	virtual void OnFinalRelease();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// предотвращаем потерю модальности после диалога с бочками из aplSocketTransport
	CaplParentWndProcesser m_pwp;

	// Generated message map functions
	//{{AFX_MSG(CNoteDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnImechangeRichedit1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCloseupNoteFontsize();
	afx_msg void OnCloseupNoteFont();
	afx_msg void OnSelchangeRichedit1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnNoteFontselect();
	afx_msg void OnNoteUderline();
	afx_msg void OnNoteStrickout();
	afx_msg void OnNoteRight();
	afx_msg void OnNoteItalic();
	afx_msg void OnNoteBold();
	afx_msg void OnNoteCenter();
	afx_msg void OnNote1();
	afx_msg void OnFontUpdate();
	afx_msg void OnNote2();
	afx_msg void OnNoteLeft();
	afx_msg void OnNotePaste();
	afx_msg void OnNoteCut();
	afx_msg void OnNoteCopy();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	// Generated OLE dispatch map functions
	//{{AFX_DISPATCH(CNoteDlg)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NOTEDLG_H__00C8ADF0_9ABF_4DCA_88E8_D9FF9FC27F68__INCLUDED_)
